## paryfor 0.1

=== CMakeLists.txt ===
# Specify the minimum version for CMake

cmake_minimum_required(VERSION 3.1)

# Project's name
project(paryfor)
# We build using c++14
set(CMAKE_CXX_STANDARD 14)

#set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)

# Use all standard-compliant optimizations
set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -mcx16 -g")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -mcx16 -g")

# Set the output folder where your program will be created
set(CMAKE_BINARY_DIR ${CMAKE_SOURCE_DIR}/bin)
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
set(LIBRARY_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/lib)

# The following folder will be included
include_directories("${PROJECT_SOURCE_DIR}")

# set up our target executable and specify its dependencies and includes
add_executable(paryfor-test
  ${CMAKE_SOURCE_DIR}/test.cpp
  )
target_include_directories(paryfor-test PUBLIC
  "${PROJECT_SOURCE_DIR}")
  
target_link_libraries(paryfor-test
  "-latomic"
  Threads::Threads)

# this was hard to track down
# https://stackoverflow.com/questions/35116327/when-g-static-link-pthread-cause-segmentation-fault-why
set(CMAKE_EXE_LINKER_FLAGS "-static -Wl,--whole-archive -lpthread -Wl,--no-whole-archive")

set(CMAKE_BUILD_TYPE Release)

=== debian/changelog ===
paryfor (0.1-9) unstable; urgency=medium

  * Team Upload.
  * Add patch to bump minimum cmake version (Closes: #1113391)
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Sep 2025 17:42:08 +0530

paryfor (0.1-8) unstable; urgency=medium

  * Team upload.
  * Add support for loongarch64
    Closes: #1069824
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Apr 2024 14:44:50 +0200

paryfor (0.1-7) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1045303

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2024 15:07:39 +0100

paryfor (0.1-6) unstable; urgency=medium

  * Team upload.
  * Add support for riscv64
    Closes: #1060844
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2024 17:23:58 +0100

paryfor (0.1-5) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 27 Nov 2022 21:38:43 +0100

paryfor (0.1-4) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 09:55:02 +0200

paryfor (0.1-3) unstable; urgency=medium

  * Remove -mcx16 flag (Closes: #969317)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 03 Sep 2020 17:01:44 +0530

paryfor (0.1-2) unstable; urgency=medium

  * Team upload.
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jul 2020 23:22:23 +0200

paryfor (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #963078)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 18 Jun 2020 20:13:56 +0530

=== debian/control ===
Source: paryfor
Section: libdevel
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/paryfor
Vcs-Git: https://salsa.debian.org/med-team/paryfor.git
Homepage: https://github.com/ekg/paryfor
Rules-Requires-Root: no

Package: libparyfor-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Parallel_for implementation based on atomic queues
 The parallel_for templates replace #pragma omp parallel for.
 This uses a callback that takes the iteration number.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem cmake

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, cmake, build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/ekg/paryfor/tags .*/v?@ANY_VERSION@\.tar\.gz
